package autoeventid;

import java.io.PrintStream;

public class Event
{
  private String name;
  private String mobpath;
  private String eventpath;
  
  public Event(String n)
  {
    this.name = n;
    this.mobpath = "";
    this.eventpath = "";
  }
  
  public void setMobPath(String m)
  {
    String mpath = "";
    if (m.charAt(0) == '1') {
      mpath = "ROM" + m.substring(1);
    }
    if (m.charAt(0) == '2') {
      mpath = "ROM2" + m.substring(1);
    }
    if (m.charAt(0) == '3') {
      mpath = "ROM3" + m.substring(1);
    }
    if (m.charAt(0) == '4') {
      mpath = "ROM4" + m.substring(1);
    }
    if (m.charAt(0) == '5') {
      mpath = "ROM5" + m.substring(1);
    }
    if (m.charAt(0) == '6') {
      mpath = "ROM6" + m.substring(1);
    }
    if (m.charAt(0) == '7') {
      mpath = "ROM7" + m.substring(1);
    }
    if (m.charAt(0) == '8') {
      mpath = "ROM8" + m.substring(1);
    }
    if (m.charAt(0) == '9') {
      mpath = "ROM9" + m.substring(1);
    }
    this.mobpath = mpath;
  }
  
  public void setEventPath(String m)
  {
    String epath = "";
    if (m.charAt(0) == '1') {
      epath = "ROM" + m.substring(1);
    }
    if (m.charAt(0) == '2') {
      epath = "ROM2" + m.substring(1);
    }
    if (m.charAt(0) == '3') {
      epath = "ROM3" + m.substring(1);
    }
    if (m.charAt(0) == '4') {
      epath = "ROM4" + m.substring(1);
    }
    if (m.charAt(0) == '5') {
      epath = "ROM5" + m.substring(1);
    }
    if (m.charAt(0) == '6') {
      epath = "ROM6" + m.substring(1);
    }
    if (m.charAt(0) == '7') {
      epath = "ROM7" + m.substring(1);
    }
    if (m.charAt(0) == '8') {
      epath = "ROM8" + m.substring(1);
    }
    if (m.charAt(0) == '9') {
      epath = "ROM9" + m.substring(1);
    }
    this.eventpath = epath;
  }
  
  public String getEventPath()
  {
    return this.eventpath;
  }
  
  public String getMobPath()
  {
    return this.mobpath;
  }
  
  public String getName()
  {
    return this.name;
  }
  
  public boolean hasMissingPaths()
  {
    if ((this.eventpath.length() == 0) || (this.mobpath.length() == 0)) {
      return true;
    }
    return false;
  }
  
  public void autoCorrectPaths()
  {
    if ((this.eventpath.length() == 0) && (this.mobpath.length() == 0))
    {
      System.out.println(this.name + " ERROR: Unable to auto-correct paths as there is no path data for either events or monsters.");
    }
    else if (this.eventpath.length() == 0)
    {
      String folder = this.mobpath.substring(this.mobpath.indexOf('/') + 1, this.mobpath.lastIndexOf('/'));
      Integer fnum = Integer.valueOf(Integer.parseInt(folder));
      if (this.mobpath.charAt(0) == '1')
      {
        this.eventpath = ("1/" + (fnum.intValue() - 6) + this.mobpath.substring(this.mobpath.lastIndexOf('/')));
        System.out.println("Resolved MOB:" + this.mobpath + " to EVENT:" + this.eventpath);
      }
    }
    else if (this.mobpath.length() == 0)
    {
      String folder = this.eventpath.substring(this.eventpath.indexOf('/') + 1, this.eventpath.lastIndexOf('/'));
      Integer fnum = Integer.valueOf(Integer.parseInt(folder));
      if (this.eventpath.charAt(0) == '1')
      {
        this.mobpath = ("1/" + (fnum.intValue() + 6) + this.eventpath.substring(this.eventpath.lastIndexOf('/')));
        System.out.println("Resolved EVENT:" + this.eventpath + " to MOB:" + this.mobpath);
      }
    }
  }
}
